Module com.io7m.jtensors.core
Package com.io7m.jtensors.core.parameterized.matrices

## Class PMatrix2x2F<A,B>

- java.lang.Object
- - com.io7m.jtensors.core.parameterized.matrices.PMatrix2x2F<A,B>

- Type Parameters:
    `A` - A phantom type parameter (possibly representing a source coordinate system)
    `B` - A phantom type parameter (possibly representing a target coordinate system)
  All Implemented Interfaces:
    `MatrixComputationalType`, `PMatrix2x2FType<A,B>`, `PMatrixReadable2x2FType<A,B>`, `MatrixReadable2x2FType`, `MatrixReadableFType`

      public final class PMatrix2x2F<A,B>
      extends Object
      implements PMatrix2x2FType<A,B>

  The type of 2x2 `float`-typed matrices.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PMatrix2x2F.Builder<A,B>` | Builds instances of type `PMatrix2x2F`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <A,B> PMatrix2x2F.Builder<A,B>` | `builder​()` | Creates a builder for `PMatrix2x2F`.
    `boolean` | `equals​(Object another)` | This instance is equal to all instances of `PMatrix2x2F` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `r0c0`, `r0c1`, `r1c0`, `r1c1`.
    `static <A,B> PMatrix2x2F<A,B>` | `of​(float r0c0, float r0c1, float r1c0, float r1c1)` | Construct a new immutable `PMatrix2x2F` instance.
    `float` | `r0c0​()` |
    `float` | `r0c1​()` |
    `float` | `r1c0​()` |
    `float` | `r1c1​()` |
    `String` | `toString​()` | Prints the immutable value `PMatrix2x2F` with attribute values.

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable2x2FType

      `rowColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### r0c0

          public float r0c0​()

      Specified by:
        `r0c0` in interface `MatrixReadable2x2FType`
      Specified by:
        `r0c0` in interface `PMatrix2x2FType<A,B>`
      Returns:
        The value at row 0 column 0

    - #### r0c1

          public float r0c1​()

      Specified by:
        `r0c1` in interface `MatrixReadable2x2FType`
      Specified by:
        `r0c1` in interface `PMatrix2x2FType<A,B>`
      Returns:
        The value at row 0 column 1

    - #### r1c0

          public float r1c0​()

      Specified by:
        `r1c0` in interface `MatrixReadable2x2FType`
      Specified by:
        `r1c0` in interface `PMatrix2x2FType<A,B>`
      Returns:
        The value at row 1 column 0

    - #### r1c1

          public float r1c1​()

      Specified by:
        `r1c1` in interface `MatrixReadable2x2FType`
      Specified by:
        `r1c1` in interface `PMatrix2x2FType<A,B>`
      Returns:
        The value at row 1 column 1

    - #### equals

          public boolean equals​(Object another)

      This instance is equal to all instances of `PMatrix2x2F` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `r0c0`, `r0c1`, `r1c0`, `r1c1`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString​()

      Prints the immutable value `PMatrix2x2F` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <A,B> PMatrix2x2F<A,B> of​(float r0c0,
                                                  float r0c1,
                                                  float r1c0,
                                                  float r1c1)

      Construct a new immutable `PMatrix2x2F` instance.
      Parameters:
        `r0c0` - The value for the `r0c0` attribute
        `r0c1` - The value for the `r0c1` attribute
        `r1c0` - The value for the `r1c0` attribute
        `r1c1` - The value for the `r1c1` attribute
      Returns:
        An immutable PMatrix2x2F instance

    - #### builder

          public static <A,B> PMatrix2x2F.Builder<A,B> builder​()

      Creates a builder for `PMatrix2x2F`.
      Type Parameters:
        `A` - generic parameter A
        `B` - generic parameter B
      Returns:
        A new PMatrix2x2F builder

Copyright © 2017 <code@io7m.com> http://io7m.com